package de.ctdo.bunti.model;

import javax.persistence.Entity;
import javax.persistence.Transient;
import java.util.Map;

@Entity
public abstract class BuntiSwitchingDevice extends BuntiDevice {
    private static final String OPTION_STATE = "state";
    private boolean state = false;

    public BuntiSwitchingDevice() {

    }

    @Override
    public final boolean setValuesFromOptions(Map<String, Object> options) {

        if(options.containsKey(OPTION_STATE)) {

            try {
                boolean value = Boolean.parseBoolean(options.get(OPTION_STATE).toString());
                setState(value);
                return true;
            } catch (Exception e) {
                return false;
            }

        }
        return false;
    }

    @Transient
    public boolean isState() {
        return state;
    }

    public void setState(boolean state) {
        this.state = state;
    }
}
