package de.ctdo.bunti.web;

import de.ctdo.bunti.control.BuntiController;
import de.ctdo.bunti.model.Room;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.Collection;

@Controller
@RequestMapping(value = "/rooms")
public class RoomsController {
    private static final Logger LOGGER = LoggerFactory.getLogger(RoomsController.class);
    private BuntiController controller;


    @Autowired
    public final void setController(BuntiController controller) {
        this.controller = controller;
    }

    @RequestMapping(value = "", method = RequestMethod.GET)
    public @ResponseBody Collection<Room> getAll() {
        LOGGER.info("handle GET /rooms" + " request");
        return controller.getAllRooms();
    }

    @RequestMapping(value = "/{id}", method = RequestMethod.GET)
    public @ResponseBody Room getRoomById(@PathVariable("id") int id) {
        LOGGER.info("handle GET /rooms/" + id + " request");
        return controller.getRoomById(id);
    }

    @RequestMapping(value = "/{id}/devices", method = RequestMethod.GET)
    public @ResponseBody Room getDevicesFromRoom(@PathVariable("id") int id) {
        LOGGER.info("handle GET /rooms/id/devices " + id + " request");
        
        Room r = controller.getRoomById(id);


        return controller.getRoomById(id);
    }

}
