<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<!DOCTYPE html>
<%@taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>WebSockets</title>

    <link type="text/css" href="<c:url value="/resources/css/screen.css"/>" rel="stylesheet" />
    <link type="text/css" href="<c:url value="/resources/css/styles.css"/>" rel="stylesheet" />
    <link type="text/css" href="<c:url value="/resources/css/smoothness/jquery-ui-1.8.18.custom.css"/>" rel="stylesheet" />
    <script type="text/javascript" src="<c:url value="/resources/js/jquery-1.7.1.min.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/jquery-ui-1.8.18.custom.min.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/jquery.cookie.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/underscore.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/backbone-min.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/handlebars.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/main.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/jquery.colorpicker.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/jquery.mousewheel.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/models.js" />"></script>
    <script type="text/javascript" src="<c:url value="/resources/js/views.js" />"></script>


</head>
<body>
    <h1>CTDO Raumsteuerung</h1>

    <div id="room-tabs">
        <ul>
            <li><a href="#tabs-1">Global</a></li>
            <li><a href="#tabs-2">Raum 1</a></li>
        </ul>
        <div id="tabs-1">
        </div>
        <div id="tabs-2">
            <div id="v-tabs" class="inner-tabs-container">
                <ul>
                    <li><a href="#v-tabs-1">Licht</a></li>
                    <li><a href="#v-tabs-2">Musik</a></li>
                    <li><a href="#v-tabs-3">Lampel</a></li>
                </ul>
                <div id="v-tabs-1">
                    <div id="colorpicker-raum1"></div>
                    <select multiple="multiple" id="par56select">

                    </select>
                </div>
                <div id="v-tabs-2">
                    <label for="slider1">Lautstärke Raum 1:</label><div id="slider1" class="slider"></div>
                </div>
                <div id="v-tabs-3">
                    <div class="lampel">
                        <span class="circle red" title="click to toggle"></span>
                        <span class="circle yellow" title="click to toggle"></span>
                        <span class="circle green" title="click to toggle"></span>

                    </div>

                </div>
            </div>

            <div class="switch">
                Raumlicht:<br />
                <input type="radio" name="raum-1-licht">An <input type="radio" name="raum-1-licht" checked="checked">Aus
            </div>

        </div>
    </div>
    <script type="text/x-handlebars-template" id="room-tabs-template">
        <ul>
            {{#each rooms}}
            <li><a href="#room-tabs-{{roomId}}">{{roomName}}</a></li>
            {{/each}}
        </ul>
        {{#each rooms}}
        <div id="room-tabs-{{roomId}}">

        </div>
        {{/each}}
    </script>
    <script type="text/x-handlebars-template" id="par56-options-template">
        {{#each devices}}
        <option name="{{deviceId}}">{{deviceName}}</option>
        {{/each}}
    </script>
    <script type="text/x-handlebars-template" id="buzzer-template">
        <div class="buzzer">
            <span class="circle {{color}}">{{text}}</span>
            <button>Buzzern</button>
        </div>
    </script>
    <script type="text/x-handlebars-template">

    </script>



</body>
</html>