package de.ctdo.bunti.model;

import org.junit.Before;
import org.junit.Test;
import static junit.framework.Assert.*;

public class Par56SpotTest {
    Par56Spot dut;

    @Before
    public void setUp() throws Exception {
        dut = new Par56Spot();
        dut.setId(23);
        dut.setStartAddress(42);
        dut.setDeviceName("device");
    }

    @Test
    public void testColorRed() throws Exception {
        dut.setRed(0);
        assertEquals(0,dut.getRed());
        dut.setRed(128);
        assertEquals(128,dut.getRed());
        dut.setRed(255);
        assertEquals(255,dut.getRed());
    }

    @Test
    public void testColorGreen() throws Exception {
        dut.setGreen(0);
        assertEquals(0,dut.getGreen());
        dut.setGreen(128);
        assertEquals(128,dut.getGreen());
        dut.setGreen(255);
        assertEquals(255,dut.getGreen());
    }

    @Test
    public void testColorBlue() throws Exception {
        dut.setBlue(0);
        assertEquals(0,dut.getBlue());
        dut.setBlue(128);
        assertEquals(128,dut.getBlue());
        dut.setBlue(255);
        assertEquals(255,dut.getBlue());
    }

    @Test
    public void testSwitchOff() throws Exception {
        dut.switchOff();
        assertEquals(0,dut.getRed());
        assertEquals(0,dut.getGreen());
        assertEquals(0,dut.getBlue());
    }

    @Test
    public void testSwitchOn() throws Exception {
        dut.switchOn();
        assertEquals(255,dut.getRed());
        assertEquals(255,dut.getGreen());
        assertEquals(255,dut.getBlue());
    }

    @Test
    public void testToString() throws  Exception {
        dut.setRed(123);
        dut.setGreen(111);
        dut.setBlue(42);
        assertEquals("Par56Spot 23, device [123,111,42]", dut.toString());
    }
}
